
int bz=4;

void setup() {
    Serial.begin(9600);
    pinMode(bz,OUTPUT);
}

void loop() {
  
    float sensor_volt;
    float RS_gas; // Get value of RS in a GAS
    float ratio; // Get ratio RS_GAS/RS_air
    float ppm;
    int sensorValue = analogRead(A5);
    sensor_volt=(float)sensorValue/1024*5.0; //아날로그 신호를 전압으로 변환
    RS_gas = (5.0-sensor_volt)/sensor_volt; // omit *RL   
    ratio = RS_gas/0.15;  // ratio = RS/R0
    ppm = map (sensorValue, 0,1024, 0,10000); //아날로그 신호를 ppm단위로 변환(정확한 수식 변환 아님)
    
    if (ppm <=100){   //100ppm 이하는 측정 불가
      ppm = 0;
      digitalWrite(bz,LOW); // 100ppm 이하면 부저 OFF
    }
    else{
       digitalWrite(bz,HIGH); //100ppm 이상이면 부저 ON
    }
    Serial.print("sensor_volt = ");
    Serial.println(sensor_volt);
    Serial.print("RS_ratio = ");
    Serial.println(RS_gas);
    Serial.print("Rs/R0 = ");  //mq-5 데이터 시트 참조 그래프상 ppm변환에 사용되는 값
    Serial.println(ratio);
    Serial.print("ppm = ");
    Serial.println(ppm);

    Serial.print("\n\n");

    delay(1000);

}
